Get user directory by id
Retrieve a user directory by its unique identifier.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Path Parameters
id*string
The unique identifier of the user directory.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/user-directories/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "string", "name": "string", "prefix": "string", "userDirectoryName": "string", "azureClientId": "string", "azureTenantId": "string", "hostName": "string", "port": 0, "userName": "string", "sendNotification": true, "defaultUserRole": "12c86826-3b6a-4b8e-a933-763c01234cdc", "filter": "string", "synchronization": "string", "frequency": "string", "frequencyTime": "string", "timeZone": "string", "timeZoneOfset": "string", "lastStartedSyncDate": "2019-08-24T14:15:22Z", "lastSuccessfulSyncDate": "2019-08-24T14:15:22Z", "nextExecutionDate": "2019-08-24T14:15:22Z", "syncMessage": "string", "syncStatus": "string", "isActive": true, "createdDate": "2019-08-24T14:15:22Z", "modifiedDate": "2019-08-24T14:15:22Z", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9" }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}